Tiquo
Integrations OverviewAirtableAsanaSlackGoogle AnalyticsMetabaseMixpanelPendoSegmentTableau (PAT)ActiveCampaignBrevoEmarsys Core API (WSSE)EventbriteFacebookGoogle AdsHighLevelInstagramKlaviyoMailchimpMailgunMicrosoft AdsSendGridTwitter (v2)HubSpotNotionAcuity SchedulingAirtable (Personal Access Token)BasecampCal.com (v2)CalendlyClickUpCodaConfluence Data CenterExpensifyGoogle CalendarGoogle SheetHarvestLinearMicrosoft Power BIMicrosoft TeamsMindbodyMondayOpenAIPerplexityPingboardPivotal TrackerProductboardQuickbaseServiceM8ServiceNowTeamworkTickTickTimelyTodoistTrafftTrelloWrikefal.aixAIZendeskIntercomAircall (OAuth)DixaFreshDeskFreshserviceFrontPlainRingCentralZoho DeskBrazeDialpadGoogleMicrosoftOutlookPodiumSednaSharePoint OnlineTwilioWhatsApp BusinessZoho MailBambooHRADPDeelEmployment HeroGustoHibob Service UserNamelyOracle Fusion Cloud (HCM)PaychexPayfitPaylocityPersonioRipplingSAP SuccessFactorsSage HRTSheetsUKG ProUKG ReadyWorkdayZoho PeopleQuickBooksBuildiumExact OnlineFreshBooksIntuitNetSuitePennylaneSageSage IntacctTwinfieldUnanetWave AccountingXeroZoho BooksSalesforceAffinityAttioCopperFreshsalesGainsight CCInsightlyKustomerMedalliaPipedriveTwenty CRMZoomInfoApaleoMewsMicrosoft Business CentralOdooSAP ConcurZuoraAcceloCoupa CompassZoho InvoiceAnrokAvalaraDocuSignDropbox SignPandadocSignNowLinkedInSplitwiseTikTok AdsJotformQualtricsRefinerTypeformShopifyCin7 CoreGoogle MapsRingoverListrakRydooTalentLMSApple Business ManagerCrunchbaseRocketReachOcean.ioFreepikEnergy Performance Certificates (Gov.UK)JustworksGristSAP S/4HANA Cloud3CX8x8Adobe CommerceBirdCloudbedsConstant ContactBufferCustomer.ioCrispFreeAgentGreenhouseMeta Marketing APIMollienocrm.ioOomnitzaDigitsPylonSage 200ShopwareAnvilShippoEasyPostAltrataMicrosoft PeopleMicrosoft IntuneCloudTalkGoogle FormsMaximizerMicrosoft PlannerSalesmsgSellercloudTallyTimifyUpsalesCleverReachHeymarketMailjetPleoProvenExpertTelegramToggl TrackASSA ABLOY Vingcard VisionlineASSA ABLOY Vingcard VostioASSA ABLOY TESA HotelASSA ABLOY SMARTairSalto KSSalto Space OnlineDormakabaOmnitecHotekTT LockWebLockISEOKleverKeyAperioISONASHIDSouthcoThird MillenniumSTidAxis CommunicationsBooking.comExpediaHotels.comAirbnbGoogle HotelsTripadvisorAgodaHotelbedsTravelgateXHyperguestRoibosReconlineTraviaOpenGDS.comMG BedbankDidatravelHotelREZHRSHotelnetworkGetaroomWinkBookeasyVRBOInntopiaHookusbookusHipcampSpot2niteCamping VisionMinistry of VillasTrip.comTravelokaTiketMakeMyTripHoteripKlookeDreamsSzallasEmerging Travel GroupCheck24Bed-and-Breakfast.itWorld2Meet (W2M)Ctoutvert / SecureholidayDespegarPriceTravelRoombeastMitchell CorpHRS AustraliaResonlineHostelworldHostelhopTablet MichelinMr & Mrs SmithHopperHotel TonightPitchupMoveriiLocalOTAAlaricBooknpayCultbookingGuestTractionLevartWeSpeakMake.comZapierPricelabsPricepointRategenieElastic HotelRoom Price GenieTurbosuiteUber EatsDeliverooDoorDashBolt Food
API and AuthenticationAdmin API

Tasks

Admin API endpoints for creating and managing tasks

Tasks

Use the Tasks endpoints to list, create, retrieve, update, and delete tasks within the organization associated with your Admin API key.

Endpoints

MethodEndpointDescription
GET/tasksList tasks with filtering and pagination
POST/tasksCreate a task
GET/tasks/{taskId}Get a single task
PATCH/tasks/{taskId}Update a task
DELETE/tasks/{taskId}Delete a task

Test the API

The POST, PATCH, and DELETE testers change live organization data. Your API key is stored only in this browser's local storage, so use the tester on a trusted device.

GET
/tasks

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Query Parameters

limit?integer
Default50
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.tiquo.app/api/v1/tasks"
{
  "success": true,
  "data": [
    {
      "id": "string",
      "type": "note",
      "title": "string",
      "content": "string",
      "categoryId": "string",
      "categoryName": "string",
      "locationId": "string",
      "locationName": "string",
      "isTask": true,
      "taskDueDate": "2019-08-24T14:15:22Z",
      "taskStatus": "pending",
      "taskCompletedAt": "2019-08-24T14:15:22Z",
      "taskCompletedBy": "string",
      "isPinned": true,
      "isInternal": true,
      "customerIds": [
        "string"
      ],
      "enquiryIds": [
        "string"
      ],
      "orderIds": [
        "string"
      ],
      "sublocationIds": [
        "string"
      ],
      "companyIds": [
        "string"
      ],
      "staffIds": [
        "string"
      ],
      "staffNames": [
        "string"
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "createdBy": "string",
      "createdByName": "string",
      "updatedAt": "2019-08-24T14:15:22Z",
      "updatedBy": "string",
      "updatedByName": "string"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "string",
    "pageSize": 0
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
POST
/tasks

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Request Body

application/json

title?string
content*string
categoryId?string
locationId?string
taskDueDate?string
Formatdate-time
status?string
Default"pending"
Value in"pending"
isPinned?boolean
isInternal?boolean
customerIds?array<>
enquiryIds?array<>
orderIds?array<>
sublocationIds?array<>
companyIds?array<>
staffIds?array<>
staffNames?array<>

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.tiquo.app/api/v1/tasks" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
{
  "success": true,
  "data": {
    "id": "string",
    "type": "note",
    "title": "string",
    "content": "string",
    "categoryId": "string",
    "categoryName": "string",
    "locationId": "string",
    "locationName": "string",
    "isTask": true,
    "taskDueDate": "2019-08-24T14:15:22Z",
    "taskStatus": "pending",
    "taskCompletedAt": "2019-08-24T14:15:22Z",
    "taskCompletedBy": "string",
    "isPinned": true,
    "isInternal": true,
    "customerIds": [
      "string"
    ],
    "enquiryIds": [
      "string"
    ],
    "orderIds": [
      "string"
    ],
    "sublocationIds": [
      "string"
    ],
    "companyIds": [
      "string"
    ],
    "staffIds": [
      "string"
    ],
    "staffNames": [
      "string"
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "createdBy": "string",
    "createdByName": "string",
    "updatedAt": "2019-08-24T14:15:22Z",
    "updatedBy": "string",
    "updatedByName": "string"
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
GET
/tasks/{taskId}

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Path Parameters

taskId*string

Task document ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.tiquo.app/api/v1/tasks/string"
{
  "success": true,
  "data": {
    "id": "string",
    "type": "note",
    "title": "string",
    "content": "string",
    "categoryId": "string",
    "categoryName": "string",
    "locationId": "string",
    "locationName": "string",
    "isTask": true,
    "taskDueDate": "2019-08-24T14:15:22Z",
    "taskStatus": "pending",
    "taskCompletedAt": "2019-08-24T14:15:22Z",
    "taskCompletedBy": "string",
    "isPinned": true,
    "isInternal": true,
    "customerIds": [
      "string"
    ],
    "enquiryIds": [
      "string"
    ],
    "orderIds": [
      "string"
    ],
    "sublocationIds": [
      "string"
    ],
    "companyIds": [
      "string"
    ],
    "staffIds": [
      "string"
    ],
    "staffNames": [
      "string"
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "createdBy": "string",
    "createdByName": "string",
    "updatedAt": "2019-08-24T14:15:22Z",
    "updatedBy": "string",
    "updatedByName": "string"
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
PATCH
/tasks/{taskId}

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Path Parameters

taskId*string

Request Body

application/json

[key: string]?any

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.tiquo.app/api/v1/tasks/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "id": "string",
    "type": "note",
    "title": "string",
    "content": "string",
    "categoryId": "string",
    "categoryName": "string",
    "locationId": "string",
    "locationName": "string",
    "isTask": true,
    "taskDueDate": "2019-08-24T14:15:22Z",
    "taskStatus": "pending",
    "taskCompletedAt": "2019-08-24T14:15:22Z",
    "taskCompletedBy": "string",
    "isPinned": true,
    "isInternal": true,
    "customerIds": [
      "string"
    ],
    "enquiryIds": [
      "string"
    ],
    "orderIds": [
      "string"
    ],
    "sublocationIds": [
      "string"
    ],
    "companyIds": [
      "string"
    ],
    "staffIds": [
      "string"
    ],
    "staffNames": [
      "string"
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "createdBy": "string",
    "createdByName": "string",
    "updatedAt": "2019-08-24T14:15:22Z",
    "updatedBy": "string",
    "updatedByName": "string"
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
DELETE
/tasks/{taskId}

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Path Parameters

taskId*string

Response Body

application/json

application/json

application/json

curl -X DELETE "https://api.tiquo.app/api/v1/tasks/string"
Empty
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}

For every request field, filter, response schema, and error response, use the operation details in the interactive reference above.